# H501_UnknownMessageReason Class Reference

`#include <h501.h>`

List of all members.

## Public Types

enum | Choices { e_notUnderstood, e_undefined }

## Public Member Functions

| H501_UnknownMessageReason (unsigned tag=0, TagClass tagClass=UniversalTagClass)
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H501_UnknownMessageReason::Choices

Enumerator:

  e_notUnderstood |
  e_undefined |

## Constructor & Destructor Documentation

H501_UnknownMessageReason::H501_UnknownMessageReason | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PBoolean H501_UnknownMessageReason::CreateObject | ( |  | ) |

PObject* H501_UnknownMessageReason::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h501.h